# Method: pos.list

- [HTTP request](https://developers.google.com/shopping-content/reference/rest/v2.1/pos/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/shopping-content/reference/rest/v2.1/pos/list#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/shopping-content/reference/rest/v2.1/pos/list#body.request_body)
- [Response body](https://developers.google.com/shopping-content/reference/rest/v2.1/pos/list#body.response_body)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/pos/list#body.PosListResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/shopping-content/reference/rest/v2.1/pos/list#body.aspect)
- [Try it!](https://developers.google.com/shopping-content/reference/rest/v2.1/pos/list#try-it)

Lists the stores of the target merchant.

### HTTP request

`GET https://shoppingcontent.googleapis.com/content/v2.1/{merchantId}/pos/{targetMerchantId}/store`

### Path parameters

| Parameters ||
|---|---|
| `merchantId` | `string` The ID of the POS or inventory data provider. |
| `targetMerchantId` | `string` The ID of the target merchant. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "resources": [ { object (`https://developers.google.com/shopping-content/reference/rest/v2.1/pos#PosStore`) } ] } ``` |

| Fields ||
|---|---|
| `kind` | `string` Identifies what kind of resource this is. Value: the fixed string "`content#posListResponse`". |
| `resources[]` | ``object (`https://developers.google.com/shopping-content/reference/rest/v2.1/pos#PosStore`)`` |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).